package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author zxj
 */
@Getter
@AllArgsConstructor
public enum TaskTypeEnum {

    //任务类型 0 正常入库 1维修异常 2扫码异常  3入库冲孔 4 正常出库 5紧急出库 6越库出库 7手工入库 8呼叫空治具
    /**
     * 正常入库
     */
    normal_in("0", "正常入库"),

    /**
     * 1维修异常
     */
    upkeep_err("1", "维修异常"),
    /**
     * 扫码异常
     */
    scancode_err("2", "扫码异常"),
    /**
     * 入库冲孔
     */
    putin_punching("3", "入库冲孔"),

    /**
     * 正常出库
     */
    normal_out("4", "正常出库"),

    /**
     * 5紧急出库
     */
    urgent_out("5", "紧急出库"),

    /**
     * 6越库出库
     */
    cross_out("6", "越库出库"),

    /**
     * 7手工入库
     */
    byhand_in("7", "手工入库"),
    /**
     * 8呼叫空治具
     */
    call_container("8", "呼叫空治具"),



    /**
     * 10 补货出库
     */
    replenish_out("10", "补货出库"),

    emptyCon("11", "空治具流向"),

    /**
     * 12.空治具流向机械手输送线
     */
    mechainical("12","空治具流向机械手输送线"),

    /**
     * 13 补货入库
     */
    replenish_in("13", "补货入库"),

    /**
     * 14.平库出库
     */
    thirteen_out("14","平库出库"),

    /**
     * 15.空治具出库
     */
    emptyContainer_out("15","空治具出库"),

    /**
     * 16.货位调整
     */
    seat_adjustment("16","巷道内移库"),

    /**
     * 17.异常出库
     */
    abnormal_delivery("17","异常出库"),

    /**
     * 18.冲孔出库
     */
    punching_delivery("18","冲孔出库"),

    /**
     * 19.待补货入库
     */
    replenished_in("19","待补货入库"),
    /**
     * 20.下挂空治具入库
     */
    empty_in("20","下挂空治具入库"),

    /**
     * 21 待冲孔出立库
     */
    punching_out("21","待冲孔出立库冲孔去"),

    /**
     * 指定货位出库
     */
    named_loc("22","指定货位出库"),

    /**
     * 23 跨巷道移库出库
     */
    relocation_out("23", "跨巷道移库出库"),

    /**
     * 24 跨巷道移库入库
     */
    relocation_in("24", "跨巷道移库入库");


    private String value;
    private String desc;

}
